# Barbi Components

Barbi is a neo-brutalist web framework for Svelte, so named after famous brutalist structure The Barbican, in London, England.

## Installation

`npm install barbi@placeholder`

## Usage

### Style

To ensure component styling, include the `<BarbiTheme />` component in your application. This includes two style tags:
a basic css reset and a definition for the css variables used by the rest of the framework. The reset can be omitted by
setting the `no-reset` prop on the theme component. Individual variables can be set to custom values by including them
as props.

```sveltehtml
<script>
  import { BarbiTheme } from 'barbi'
</script>

<BarbiTheme no-reset colour-primary="#FF0000"  />
<!-- Rest of the app -->
```

### Components
